* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}


.navbar {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 1, 0.338);
    position: fixed;
    z-index: 99999;
    top: 0;
}

.navbar ul {
    display: flex;
    list-style: none;
    margin: 20px 0px;
}


.navbar ul li {
    font-size: 1.1rem;
    font-weight: bold;
}

.navbar ul li a {
    text-decoration: none;
    color: white;
    padding: 8px 24px;
    transition: all .5s ease;
}

.navbar ul li a:hover {
    background-color: white;
    color: black;
    box-shadow: 0 0 10px white;
}

#home {
    display: flex;
    flex-direction: column;
    background-color: rgba(0, 0, 1, 0.5);
    height: 100vh;
    justify-content: center;
    align-items: center;
    color: white;
}

#home::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    background: url(/img/Rectangle\ 1.png) no-repeat center center/cover;
    height: 100%;
    width: 100%;
    z-index: -1;
    opacity: .8;
}

#picc {
    position: absolute;
    top: 120px; 
    left: 20px;
    max-width: 500px;
}

#picc>img {
        width: 100%;
        aspect-ratio: 1;
        border-radius: 100%;
        object-fit: cover;

}

.main {
    display: flex;
    flex-direction: column;
    /*   border: 1px solid white; */
    align-items: center;
    position: absolute;
    top: 30%;
    right: 10%;
    height: 100%;
}


.heading {
    font-size: 3rem;
    text-align: center;
    margin: 40px 0px;
}

.btn {
    padding: 10px 35px;
    background-color: transparent;
    border: 1px solid white;
    color: white;
    outline: none;
    transition: .6s ease;
}

.btn:hover {
    cursor: pointer;
    background-color: white;
    color: black;
    box-shadow: 0 0 5px white, 0 0 15px white;
    font-weight: bold;
}



#about {
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    padding: 20px;
    margin-bottom: 50px;
    height: 100vh;
}

#pic {
    display: flex;
}

#pic img {
    width: 100%;
        aspect-ratio: 1;
        border-radius: 100%;
        object-fit: cover;
}

#intro {
    display: flex;
    flex-direction: column;
    text-align: justify;
    padding: 10px;
}

#intro h2 {
    font-size: 2rem;
    margin-top: 50px;
    margin-bottom: 20px;
}

/* .learn1 {
    margin-left: 65px;
    margin-top: -30px;
    border: 10px solid #13547e;
    border-radius: 20px;
    background-color: #13547e;
    display: inline-block;
    font-size: 32px;
}

.learn1 a {
    text-decoration: none;
    color: white;
    display: inline-block;
}
 */


.headings {
    text-align: center;
    margin-top: 70px;
}

#poc{

}

#portfolio {
    display: flex;
    flex-direction: column;
    background-color: rgba(0, 0, 1, 0.9);
    color: white;
    align-items: center;
    padding: 20px;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    box-sizing: border-box;
}

.gallery img {
    width: 360px;
    height: 240px;
    margin: 10px;
    object-fit: cover;
}

#services {
    display: flex;
    flex-direction: column;
    padding: 40px;
}

.row {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    box-sizing: border-box;

}

.btn a{
    text-decoration: none;
    color: black;
}

.box {
    display: flex;
    flex-direction: column;
    width: 350px;
    height: 450px;
    border: 1px solid black;
    margin: 5px;
    align-items: center;
    text-align: justify;
    padding: 20px;
    border-radius: 15px;
    background: linear-gradient(to top, rgb(255, 45, 45) 50%, white 50%);
    background-size: 100% 200%;
    transition: all .8s;
}

.box p{
    font-style: normal;
    display: inline-block;
}

.box:hover {
    background-position: left bottom;
    color: white;
    border: none;
    box-shadow: 0 0 20px rgb(255, 45, 45);

}

#contact{
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    background-color: rgba(0, 0, 0, 0.9);
    color: white;
    padding: 20px;
    height: 100vh;
}

.form{
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    align-items: center;
    margin: 20px 0px;
}

.input{
    padding: 12px;
    margin: 15px;
    width: 30%;
    border: none;
    outline: none;
}

#send{
    padding: 10px;
    width: 10%;
    margin: 40px;
    border: none;
    outline: none;
}

#send:hover{
    cursor: pointer;
    box-shadow: 0 0 10px white;
}


.box img{
    width: 80px;
    height: 80px;
}

footer{
    height: 60px;
    background-color: white;
    width: 100%;
    text-align: center;
    margin-top: 30px;
    font-size: 30px;
}

iframe{
    margin-left: 150px;
    margin-top: 40px;
}